Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Create new partner to location authorization

Prev Next
Post
/network/locationPartnerAuthorizations

Authorize a partner to see a specific location.

Required permissions: READ_PARTNER_AUTHORIZATION, WRITE_PARTNER_AUTHORIZATION.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The details of the authorization being created.

Expand All
object
partner
object

The partner identifier.

id
string
Example1234abcd
location
object

The location identifier.

id
string
Example1234abcd
endTimestamp
integer (int64)

The timestamp UTC the authorization expires. It must be less than or equal to the customer authorization end timestamp, if specified.

Example1578438000000
thingAccessPolicy
string

The access policy of the things in the location.

- GRANT_ALL: The partner can see all the things.
- LIMITED: The partner can see the things specified in the thingIds array.

Valid values[ "GRANT_ALL", "LIMITED" ]
thingIds
Array of string

The set of thing ids that the partner is authorized to access.

string
Responses
200

Successfully created.

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
404

Resource was not found.

object
message
string

The error response.

ExampleResource not found
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error